
cc.Class({
    extends: cc.Component,

    properties: {

        Cam_X:cc.Node,
        Cam_Y:cc.Node,
        Camera:cc.Node,
        // Cam_Pos:cc.Node,
        Cam_Root:cc.Node,
    },

    onLoad () {
        this.node.on(cc.Node.EventType.TOUCH_MOVE, this.onTouchMove, this);
    },

    onTouchMove(event){

        let x_rot = event.getDeltaX()/100;
        let y_rot = -event.getDeltaY()/100;
 
        let qX = new cc.Quat();
        let qY = new cc.Quat();

        this.Cam_X.getRotation(qX);
        this.Cam_Y.getRotation(qY);

        qX.rotateAround(qX,cc.v3(0,1,0),x_rot,qX);
        qY.rotateAround(qY,cc.v3(1,0,0),y_rot,qY);

        this.Cam_X.setRotation(qX);
        this.Cam_Y.setRotation(qY);

   
        
        // this.Camera.setPosition(this.Cam_Pos.convertToWorldSpaceAR(cc.v3(0,0,0)).add(cc.v3(-640,-360,0)));

        // this.Camera.lookAt(this.Cam_Root.convertToWorldSpaceAR(cc.v3(0,0,0)),cc.v3(0,1,0));

    }
});
